
From: "Andi Kleen" <ak@suse.de>

Remove duplicated FAKE_STACK_FRAME macro.

FAKE_STACK_FRAME macro is defined twice.  The one that gets used is in
arch/x86_64/kernel/entry.S, and is slightly different codewise, although
should have the same end result (uses pushq rather than addq %rsp + movq and
has the extra dwarf annotations).  

Signed-off-by: Chris Wright <chrisw@osdl.org>
Signed-off-by: Andi Kleen <ak@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-x86_64/calling.h |   16 ----------------
 1 files changed, 16 deletions(-)

diff -puN include/asm-x86_64/calling.h~x86_64-remove-duplicated-fake_stack_frame-macro include/asm-x86_64/calling.h
--- 25/include/asm-x86_64/calling.h~x86_64-remove-duplicated-fake_stack_frame-macro	2004-11-28 01:54:28.413277632 -0800
+++ 25-akpm/include/asm-x86_64/calling.h	2004-11-28 01:54:28.416277176 -0800
@@ -143,22 +143,6 @@
 	RESTORE_ARGS 0,\addskip
 	.endm
 
-	/* push in order ss, rsp, eflags, cs, rip */
-	.macro FAKE_STACK_FRAME child_rip
-	xorl %eax,%eax
-	subq $6*8,%rsp
-	movq %rax,5*8(%rsp)  /* ss */
-	movq %rax,4*8(%rsp)  /* rsp */
-	movq $(1<<9),3*8(%rsp)  /* eflags */
-	movq $__KERNEL_CS,2*8(%rsp) /* cs */
-	movq \child_rip,1*8(%rsp)  /* rip */ 
-	movq %rax,(%rsp)   /* orig_rax */ 
-	.endm
-
-	.macro UNFAKE_STACK_FRAME
-	addq $8*6, %rsp
-	.endm
-
 	.macro icebp
 	.byte 0xf1
 	.endm
_
